Page MenuHomePhabricator

Missing MessagesXxx.php files for languages with translations on languages/i18n for mediawiki/core
Closed, ResolvedPublic

Description

Other message files (MessagesXxx.php) missing (except variants):
ais, ase, awa, bi, brh, cps, cr, hil, hyw, ik, ki, kri, krj, loz, lus, na, niu, pag, pam, pap, pih, prg, rif, sco, sei, shi, shn, sm, sma, sn, so, ss, st, ti, tn, to, tru, ts, tw, tzm, zu
I don't know why.

Probably because a MessagexXxx.php is only necessary if it has a real content? I know that nowadays a MessagesXxx.php with only a PHP comment is created. But in older times this was not the case.

I feel we should determine whether the missing MessagesXXX.php files are needed and, if any, fallback languages required. Definitelly some languages such as sco.wikipedia.org exist without their corresponding MessagesSco.php existing, which I think it is bad.

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 7 2018, 8:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio triaged this task as Normal priority.Aug 8 2018, 9:07 PM
MarcoAurelio lowered the priority of this task from Normal to Low.Aug 21 2018, 7:29 PM

I feel we should determine whether the missing MessagesXXX.php files are needed and, if any, fallback languages required.

If they would not have any content, the Messages*.php files are not needed. It doesn't seem to be documented very well, but after reading some code in Language.php, I'm sure that only the *.json file is required. (Having a Messages*.php file but no *.json file is also valid.)

Is there anything here that requires doing? Subtasks have been marked as resolved, and there is a general process which tracks new language additions.

Feel free to close. Although I think there are still some languages without associated Messages$lang.php files. If that is not a problem now, I'm happy to call this resolved.

MarcoAurelio closed this task as Resolved.Feb 14 2019, 3:02 PM
MarcoAurelio moved this task from later/stalled/blocked to archive on the User-MarcoAurelio board.